package com.bocloud.cmp.provider.agile.network;

import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.nms.model.agile.AgileExternalConnectCidrModel;
import com.bocloud.nms.model.agile.AgileExternalConnectModel;

import java.util.List;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: ExternalConnectProvider
 * @Description:外部网络连接
 * @author: zhenpingLi/李振平
 * @date: 2020/3/18 15:18
 */
public interface ExternalConnectProvider extends SuperProvider {
    default BocloudResult<List<AgileExternalConnectModel>> list() {
        return new BocloudResult<>(false, "need implement");
    }

    default BocloudResult<AgileExternalConnectModel> create(AgileExternalConnectModel model) {
        return new BocloudResult<>(false, "need implement");
    }

    default BocloudResult<AgileExternalConnectModel> modify(AgileExternalConnectModel model) {
        return new BocloudResult<>(false, "need implement");
    }

    default BocloudResult<?> remove(String uuid) {
        return new BocloudResult<>(false, "need implement");
    }

    default BocloudResult<AgileExternalConnectModel> detail(String uuid) {
        return new BocloudResult<>(false, "need implement");
    }

    default BocloudResult<?> addCidr(AgileExternalConnectModel model, String cidrType) {
        return new BocloudResult<>(false, "need implement");
    }

    default BocloudResult<?> removeCidr(AgileExternalConnectModel model, String cidrType) {
        return new BocloudResult<>(false, "need implement");
    }

    default BocloudResult<List<AgileExternalConnectCidrModel>> listCidr(String uuid) {
        return new BocloudResult<>(false, "need implement");
    }
}
